# Class Portability

java.lang.Object
nu.validator.htmlparser.impl.Portability

public final class Portability extends Object

## Constructor Summary

Constructors
Constructor
Description
`Portability()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`checkedAdd(int a, int b)`
`static void`
`delete(Object o)`
`static void`
`deleteArray(Object o)`
`static boolean`
`literalEqualsString(String literal, String string)`
`static boolean`
`localEqualsBuffer(String local, char[] buf, int length)`
`static boolean`
`lowerCaseLiteralEqualsIgnoreAsciiCaseString(String lowerCaseLiteral, String string)`
`static boolean`
`lowerCaseLiteralIsPrefixOfIgnoreAsciiCaseString(String lowerCaseLiteral, String string)`
`static char[]`
`newCharArrayFromLocal(String local)`
`static char[]`
`newCharArrayFromString(String string)`
`static String`
`newEmptyString()`
`static String`
`newLocalNameFromBuffer(char[] buf, int length, Interner interner)`
Allocates a new local name object.
`static String`
`newStringFromBuffer(char[] buf, int offset, int length)`
`static String`
`newStringFromLiteral(String literal)`
`static String`
`newStringFromString(String string)`
`static void`
`releaseString(String str)`
`static boolean`
`stringEqualsString(String one, String other)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Portability

public Portability()

## Method Details

### checkedAdd

public static int checkedAdd(int a, int b) throws SAXException

Throws:
  `SAXException`

### newLocalNameFromBuffer

public static String newLocalNameFromBuffer(char[] buf, int length, Interner interner)
Allocates a new local name object. In C++, the refcount must be set up in such a way that calling `releaseLocal` on the return value balances the refcount set by this method.

### newStringFromBuffer

public static String newStringFromBuffer(char[] buf, int offset, int length)

### newEmptyString

public static String newEmptyString()

### newStringFromLiteral

public static String newStringFromLiteral(String literal)

### newStringFromString

public static String newStringFromString(String string)

### newCharArrayFromLocal

public static char[] newCharArrayFromLocal(String local)

### newCharArrayFromString

public static char[] newCharArrayFromString(String string)

### releaseString

public static void releaseString(String str)

### localEqualsBuffer

public static boolean localEqualsBuffer(String local, char[] buf, int length)

### lowerCaseLiteralIsPrefixOfIgnoreAsciiCaseString

public static boolean lowerCaseLiteralIsPrefixOfIgnoreAsciiCaseString(String lowerCaseLiteral, String string)

### lowerCaseLiteralEqualsIgnoreAsciiCaseString

public static boolean lowerCaseLiteralEqualsIgnoreAsciiCaseString(String lowerCaseLiteral, String string)

### literalEqualsString

public static boolean literalEqualsString(String literal, String string)

### stringEqualsString

public static boolean stringEqualsString(String one, String other)

### delete

public static void delete(Object o)

### deleteArray

public static void deleteArray(Object o)